• This forum has a zero tolerance policy regarding spam. If you register here to publish advertising, your user account will be deleted without further questions.

Plesk Updates schlägt fehlt

Werner S

Member
Hallo,

auf meinem Homeserver habe ich Plesk Onyx auf Centos 7 installiert.
Mir wird in Plesk angeziegt das es 22 Updates gibt. Führe ich diese aus, erhalte ich die Fehlermeldung

Fehler beim Update
2018-09-15 11:12:15 INFO: pum is called with arguments: ['--update', '--json', '--unsafe', '--', 'audit-libs', 'binutils', 'ca-certificates', 'centos-release', 'dhcp-libs', 'dracut', 'initscripts', 'iptables', 'kernel-tools-libs', 'kpartx', 'krb5-libs', 'libuuid', 'nspr', 'nss-softokn', 'nss-util', 'openldap', 'procps-ng', 'python-perf', 'selinux-policy', 'tzdata', 'util-linux', 'yum-plugin-fastestmirror']
2018-09-15 11:12:29 INFO: updating packages: kernel-tools-libs
2018-09-15 11:12:29 ERROR: [u'ERROR with transaction check vs depsolve:', 'kernel-tools-libs = 3.10.0-862.11.6.el7 is needed by (installed) kernel-tools-3.10.0-862.11.6.el7.x86_64', 'kernel-tools-libs = 3.10.0-862.11.6.el7 is needed by (installed) kernel-tools-3.10.0-862.11.6.el7.x86_64']
2018-09-15 11:12:29 ERROR: Exited with returncode 1.
Seite aktualisieren

Ich habe schon diverse Lösungen der Plesk Doku befolgt, leider ohne Erfolg.
 
"yum upgrade" auf der Shell ausführen.

Habe ich als erstes versucht, auch yum update

yum upgrade
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* base: mirrors.maine.edu
* epel: mirror.de.leaseweb.net
* extras: centos.servint.com
* updates: mirror.metrocast.net
No packages marked for update
 
Und das Update auf der Shell mit dem "plesk installer"?

Ebenfalls

plesk installer update
...
...
...
gpg-pubkey-914bdf7e-55c05220 gpg(Plesk Team <info@plesk.com>)
Retrieving information about the installed license key...
Loaded plugins: fastestmirror

You already have the latest version of product(s) and all the selected components
installed. Installation will not continue.

Das ist es ja, ich habe schon fast alles versucht was Google ausgespuckt hat. Alles ohne Ergebnis!
 
versuch vor dem yum update mal noch ein yum clean all

yum clean all
Loaded plugins: fastestmirror
Cleaning repos: PLESK_17_8_11-extras PLESK_17_PHP56 PLESK_17_PHP70 PLESK_17_PHP71 PLESK_17_PHP72 base epel extras kernelcare plesk-migrator plesk-migrator-tp updates
Cleaning up everything
Maybe you want: rm -rf /var/cache/yum, to also free up space taken by orphaned data from disabled or removed repos
Cleaning up list of fastest mirrors

yum update
Loaded plugins: fastestmirror
Determining fastest mirrors
epel/x86_64/metalink | 53 kB 00:00:00
* base: mirror.fra10.de.leaseweb.net
* epel: mirror.de.leaseweb.net
* extras: ftp.plusline.net
* updates: mirror.fra10.de.leaseweb.net
PLESK_17_8_11-extras | 2.9 kB 00:00:00
PLESK_17_PHP56 | 2.9 kB 00:00:00
PLESK_17_PHP70 | 2.9 kB 00:00:00
PLESK_17_PHP71 | 2.9 kB 00:00:00
PLESK_17_PHP72 | 2.9 kB 00:00:00
base | 3.6 kB 00:00:00
epel | 3.2 kB 00:00:00
extras | 3.4 kB 00:00:00
kernelcare | 2.6 kB 00:00:00
plesk-migrator | 2.9 kB 00:00:00
plesk-migrator-tp | 2.9 kB 00:00:00
updates | 3.4 kB 00:00:00
(1/15): PLESK_17_8_11-extras/primary_db | 30 kB 00:00:00
(2/15): PLESK_17_PHP56/primary_db | 14 kB 00:00:00
(3/15): PLESK_17_PHP72/primary_db | 13 kB 00:00:00
(4/15): PLESK_17_PHP70/primary_db | 13 kB 00:00:00
(5/15): PLESK_17_PHP71/primary_db | 14 kB 00:00:00
(6/15): base/7/x86_64/group_gz | 166 kB 00:00:00
(7/15): epel/x86_64/group_gz | 88 kB 00:00:00
(8/15): epel/x86_64/updateinfo | 947 kB 00:00:00
(9/15): plesk-migrator/primary_db | 6.3 kB 00:00:00
(10/15): plesk-migrator-tp/primary_db | 1.1 kB 00:00:00
(11/15): epel/x86_64/primary | 3.6 MB 00:00:00
(12/15): extras/7/x86_64/primary_db | 187 kB 00:00:00
(13/15): updates/7/x86_64/primary_db | 5.2 MB 00:00:00
(14/15): kernelcare/7/x86_64/primary_db | 15 kB 00:00:00
(15/15): base/7/x86_64/primary_db | 5.9 MB 00:00:01
epel 12685/12685
No packages marked for update

Leider ohne Wirkung.
Das ich derzeit mit einer Testlizenz arbeite sollte wohl keine Auswirkungen auf Updates haben.
Zum ersten mal sehe ich auch in Plesk im Updatemanager die Meldung

Warnung: Die Informationen für einige Pakete sind möglicherweise nicht auf aktuellem Stand: In der Datenbank des Systempaketmanagers wurden Inkonsistenzen gefunden. Beheben Sie dieses Problem manuell.
 
Last edited by a moderator:
Scheint wohl kein Erfolg gebracht zu habe bzw. danach habe ich die selber Fehlermeldung erhalten.

Ich habe danach automatische Updates aktiviert und dann klappte es diesmal. Bis auf ein Update.

Reason: 2018-09-17 03:33:14 INFO: pum is called with arguments: ['--update', '--json', '--unsafe']
2018-09-17 03:33:20 INFO: updating packages: kernel-tools-libs
2018-09-17 03:33:21 ERROR: [u'ERROR with transaction check vs depsolve:', 'kernel-tools-libs = 3.10.0-862.11.6.el7 is needed by (installed) kernel-tools-3.10.0-862.11.6.el7.x86_64', 'kernel-tools-libs = 3.10.0-862.11.6.el7 is needed by (installed) kernel-tools-3.10.0-862.11.6.el7.x86_64']
2018-09-17 03:33:21 ERROR: Exited with returncode 1.
 
Grüß euch,

ich habe jetzt weiter Google gestresst und diverse Lösungsansätze versucht.
Leider ohne Erfolg. Ich erhalte leider immer noch die Selbe Fehlermeldung

Reason: 2018-09-17 03:33:14 INFO: pum is called with arguments: ['--update', '--json', '--unsafe']
2018-09-17 03:33:20 INFO: updating packages: kernel-tools-libs
2018-09-17 03:33:21 ERROR: [u'ERROR with transaction check vs depsolve:', 'kernel-tools-libs = 3.10.0-862.11.6.el7 is needed by (installed) kernel-tools-3.10.0-862.11.6.el7.x86_64', 'kernel-tools-libs = 3.10.0-862.11.6.el7 is needed by (installed) kernel-tools-3.10.0-862.11.6.el7.x86_64']
2018-09-17 03:33:21 ERROR: Exited with returncode 1.

Laut Console ist kein Update vorhanden. Das Verfügbare Update wird mir nur in Plesk angezeigt.
 
Ist das Paket "kernel-tools-libs" überhaupt installiert? Wenn nein, dann einfach nachinstallieren.
 
Ist das Paket "kernel-tools-libs" überhaupt installiert? Wenn nein, dann einfach nachinstallieren.

Es war nicht installiert.

[root@rs36 ~]# yum install kernel-tools-libs
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* base: repos-va.psychz.net
* elrepo: mirror.imt-systems.com
* epel: mirror.de.leaseweb.net
* extras: centos.mirror.constant.com
* updates: mirror.cc.columbia.edu
Resolving Dependencies
--> Running transaction check
---> Package kernel-tools-libs.x86_64 0:3.10.0-693.11.6.el7 will be updated
---> Package kernel-tools-libs.x86_64 0:3.10.0-862.11.6.el7 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

===============================================================================================================================================================================================================
Package Arch Version Repository Size
===============================================================================================================================================================================================================
Updating:
kernel-tools-libs x86_64 3.10.0-862.11.6.el7 updates 6.2 M

Transaction Summary
===============================================================================================================================================================================================================
Upgrade 1 Package

Total size: 6.2 M
Is this ok [y/d/N]: y
Downloading packages:
Running transaction check
Running transaction test


Transaction check error:
package kernel-tools-libs-3.10.0-862.11.6.el7.x86_64 is already installed

Error Summary
-------------

[root@rs36 ~]#

Nach der installation aber die gleiche Meldung
 
Last edited by a moderator:
Versuch' mal, das Paket direkt über rpm zu deinstallieren (rpm -e), und anschließend noch mal sauber über yum zu installieren.
 
Back
Top